CentOS 8:python38: 3.8およびpython38-devel:3.8 (CESA-2022: 1764)

high Nessus プラグイン ID 160920

概要

リモートの CentOS ホストに 1 つ以上のセキュリティ更新プログラムが欠落しています。

説明

リモートの CentOS Linux 8 ホストにインストールされているパッケージは、CESA-2022: 1764 アドバイザリに記載されている脆弱性の影響を受けます。

- python:urllib:AbstractBasicAuthHandlerの正規表現のDoS (CVE-2021-3733)

- python:urllib:100 Continue 応答時の HTTP クライアント無限ループの可能性 (CVE-2021-3737)

- python-lxml:HTML Cleaner により、細工された SVG 埋め込みスクリプトはパススルーすることが可能 (CVE-2021-43818)

- python:HTML Cleaner により、細工された SVG 埋め込みスクリプトはパススルーすることが可能(CVE-2022-0391)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://access.redhat.com/errata/RHSA-2022:1764

プラグインの詳細

深刻度: High

ID: 160920

ファイル名: centos8_RHSA-2022-1764.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2022/5/10

更新日: 2022/5/10

サポートされているセンサー: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure

リスク情報

VPR

リスクファクター: Medium

スコア: 4.9

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2021-43818

CVSS v3

リスクファクター: High

Base Score: 7.5

Temporal Score: 6.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

現状ベクトル: E:U/RL:O/RC:C

CVSS スコアのソース: CVE-2022-0391

脆弱性情報

CPE: cpe:/o:centos:centos:8-stream, p-cpe:/a:centos:centos:python38, p-cpe:/a:centos:centos:python38-Cython, p-cpe:/a:centos:centos:python38-PyMySQL, p-cpe:/a:centos:centos:python38-asn1crypto, p-cpe:/a:centos:centos:python38-atomicwrites, p-cpe:/a:centos:centos:python38-attrs, p-cpe:/a:centos:centos:python38-babel, p-cpe:/a:centos:centos:python38-cffi, p-cpe:/a:centos:centos:python38-chardet, p-cpe:/a:centos:centos:python38-cryptography, p-cpe:/a:centos:centos:python38-debug, p-cpe:/a:centos:centos:python38-devel, p-cpe:/a:centos:centos:python38-idle, p-cpe:/a:centos:centos:python38-idna, p-cpe:/a:centos:centos:python38-jinja2, p-cpe:/a:centos:centos:python38-libs, p-cpe:/a:centos:centos:python38-markupsafe, p-cpe:/a:centos:centos:python38-mod_wsgi, p-cpe:/a:centos:centos:python38-more-itertools, p-cpe:/a:centos:centos:python38-numpy, p-cpe:/a:centos:centos:python38-numpy-doc, p-cpe:/a:centos:centos:python38-numpy-f2py, p-cpe:/a:centos:centos:python38-packaging, p-cpe:/a:centos:centos:python38-pip, p-cpe:/a:centos:centos:python38-pip-wheel, p-cpe:/a:centos:centos:python38-pluggy, p-cpe:/a:centos:centos:python38-ply, p-cpe:/a:centos:centos:python38-psutil, p-cpe:/a:centos:centos:python38-psycopg2, p-cpe:/a:centos:centos:python38-psycopg2-doc, p-cpe:/a:centos:centos:python38-psycopg2-tests, p-cpe:/a:centos:centos:python38-py, p-cpe:/a:centos:centos:python38-pycparser, p-cpe:/a:centos:centos:python38-pyparsing, p-cpe:/a:centos:centos:python38-pysocks, p-cpe:/a:centos:centos:python38-pytest, p-cpe:/a:centos:centos:python38-pytz, p-cpe:/a:centos:centos:python38-pyyaml, p-cpe:/a:centos:centos:python38-requests, p-cpe:/a:centos:centos:python38-rpm-macros, p-cpe:/a:centos:centos:python38-scipy, p-cpe:/a:centos:centos:python38-setuptools, p-cpe:/a:centos:centos:python38-setuptools-wheel, p-cpe:/a:centos:centos:python38-six, p-cpe:/a:centos:centos:python38-test, p-cpe:/a:centos:centos:python38-tkinter, p-cpe:/a:centos:centos:python38-urllib3, p-cpe:/a:centos:centos:python38-wcwidth, p-cpe:/a:centos:centos:python38-wheel, p-cpe:/a:centos:centos:python38-wheel-wheel

必要な KB アイテム: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list, Host/cpu

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/5/10

脆弱性公開日: 2021/9/20

参照情報

CVE: CVE-2021-3733, CVE-2021-3737, CVE-2021-43818, CVE-2022-0391

RHSA: 2022:1764

IAVA: 2021-A-0497